package com.ssj.service.sys.fx.service;

import java.util.Map;

/**
 * @author sh
 * @className SysCuratorService
 * @description TODO
 * @date 2020/6/17
 */
public interface SysCuratorService {

    Map<String, Object> findIndexData(String libId);

    Map<String, Object> studentIndex(String libId, Map<String, Object> params);

    Map<String, Object> teacherIndex(String libId, int pageSize, int pageNo, String searchValue,String classId);

    Map<String, Object> classIndex(String libId, int pageSize, int pageNo, String searchValue,String teacherId);

    Map<String, Object> homeworkIndex(String libId, int pageSize, int pageNo, Map<String, Object> params);

    Map<String, Object> allLibIndex(String queryDate);

    Map<String, Object> searchTop(String startDate, String endDate, int pageNo, int pageSize, String subject);

    Map<String, Object> searchActiveTop(String startDate, String endDate, int pageNo, int pageSize);
}
